Package org.eclipse.graphiti.ui.platform

# Class GFPropertySection

java.lang.Object
org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
org.eclipse.graphiti.ui.platform.GFPropertySection

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `org.eclipse.ui.views.properties.tabbed.ISection`

public abstract class GFPropertySection extends org.eclipse.ui.views.properties.tabbed.AbstractPropertySection implements PropertyChangeListener
The Class GFPropertySection.

## Field Summary

### Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection

`STANDARD_LABEL_WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`GFPropertySection()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(IFeature feature, IContext context)`
Executes the feature and adds it to the command stack.
`protected Diagram`
`getDiagram()`
`protected IDiagramContainer`
`getDiagramContainer()`
`protected IDiagramTypeProvider`
`getDiagramTypeProvider()`
`protected PictogramElement`
`getSelectedPictogramElement()`
`void`
`propertyChange(PropertyChangeEvent evt)`

### Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection

`aboutToBeHidden, aboutToBeShown, createControls, dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, refresh, setInput, shouldUseExtraSpace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GFPropertySection

public GFPropertySection()

## Method Details

### getSelectedPictogramElement

protected PictogramElement getSelectedPictogramElement()

Returns:
  the selected pictogram element.

### execute

public void execute(IFeature feature, IContext context)
Executes the feature and adds it to the command stack.

Parameters:
  `feature` - the feature
  `context` - the context

### propertyChange

public void propertyChange(PropertyChangeEvent evt)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`

### getDiagramContainer

protected IDiagramContainer getDiagramContainer()

Returns:
  the `IDiagramContainer`.
Since:
  0.10

### getDiagram

protected Diagram getDiagram()

Returns:
  the diagram.

### getDiagramTypeProvider

protected IDiagramTypeProvider getDiagramTypeProvider()

Returns:
  the diagram type provider.